## org.exist.http.webdav
Class WebDAV

    java.lang.Object
      org.exist.http.webdav.WebDAV

public class WebDAV
extends java.lang.Object

The main class for processing WebDAV requests.

Author:
  wolf

Field Summary
`static int` `BASIC_AUTH`
`static java.lang.String` `BINARY_CONTENT`
`static java.lang.String` `DAV_NS`
`static int` `DIGEST_AUTH`
`static java.util.Properties` `OUTPUT_PROPERTIES`
`static int` `SC_MULTI_STATUS`
`static java.lang.String` `XML_CONTENT`

Constructor Summary
`WebDAV(int authenticationMethod, java.lang.String id)`
`WebDAV(int authenticationMethod, java.lang.String id, WebDAVMethodFactory factory)`

Method Summary
`void` `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a WebDAV request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DAV_NS

    public static final java.lang.String DAV_NS

See Also:
  Constant Field Values

### BASIC_AUTH

    public static final int BASIC_AUTH

See Also:
  Constant Field Values

### DIGEST_AUTH

    public static final int DIGEST_AUTH

See Also:
  Constant Field Values

### BINARY_CONTENT

    public static final java.lang.String BINARY_CONTENT

See Also:
  Constant Field Values

### XML_CONTENT

    public static final java.lang.String XML_CONTENT

See Also:
  Constant Field Values

### OUTPUT_PROPERTIES

    public static final java.util.Properties OUTPUT_PROPERTIES

### SC_MULTI_STATUS

    public static final int SC_MULTI_STATUS

See Also:
  Constant Field Values

Constructor Detail

### WebDAV

    public WebDAV(int authenticationMethod,
                  java.lang.String id)
           throws javax.servlet.ServletException

### WebDAV

    public WebDAV(int authenticationMethod,
                  java.lang.String id,
                  WebDAVMethodFactory factory)
           throws javax.servlet.ServletException

Method Detail

### process

    public void process(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Process a WebDAV request. The request is delegated to the corresponding `WebDAVMethod` after authenticating the user.

  Parameters:
    `request` - an HttpServletRequest object that contains the request the client has made of the servlet
    `response` - an HttpServletResponse object that contains the response the servlet sends to the client
  Throws:
    `javax.servlet.ServletException` - if the request could not be handled
    `java.io.IOException` - if an input or output error is detected when the servlet handles the request

Copyright (C) Wolfgang Meier. All rights reserved.